> For the complete documentation index, see [llms.txt](https://docs.hello-robot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-robot.com/stretch4_urdf/changelog.md).

# Changelog

The changes between releases of Stretch 4 URDF are documented here.

## [2026.10.20](https://pypi.org/project/hello-robot-stretch4-urdf/2026.10.20)

* V2 of standard gripper (#65)
* `get_joint_velocity_limits()` util (#57)
* URDF joint velocity and effort limits populated from robot params during preprocessing
* Add utilities for new user tools. `process_new_user_tool <tool_dir>` replaces `stretch_add_user_tool` CLI
* IMU links for the LiDARs (#63)
* Removed incorrect masses for cameras, lidars, and docking station (#55)
* Fix for origin of merged arm links (#64)

## [2026.08.21](https://pypi.org/project/hello-robot-stretch4-urdf/2026.8.21)

* Collision mesh for new calibration board
* Custom tools via `stretch_add_user_tool` CLI
* Documentation for new user tools API

## [2026.07.31](https://pypi.org/project/hello-robot-stretch4-urdf/2026.7.31)

* Updated head camera sensor link frames to all share the same orientation with z pointing up
* Corrected the center camera's optical frame to match the OAK-FFC-IMX378 W sensor orientation
* Split mesh for arm link 0 from mesh for lift link
* Tune tablet collision mesh

## [2026.07.08](https://pypi.org/project/hello-robot-stretch4-urdf/2026.7.8)

* Add docking station URDF
* Add `get_tranform()` method to get TF between 2 links
* Organize preprocessing scripts and deps
* Improve fetching of calibrated URDF

## [2026.07.02](https://pypi.org/project/hello-robot-stretch4-urdf/2026.7.2)

* Fix to head collision mesh
* Fix to link name in gripper
* Fix to line sensor link name

## [2026.06.25](https://pypi.org/project/hello-robot-stretch4-urdf/2026.6.25)

* Bugfix for outputting urdf to a nonexistant folder - calls os.mkdir
* Methods to generate planar\_ik\_urdf, make\_rotary\_ik\_urdf, make\_translation\_ik\_urdf
* Generate calibrated URDFs
* Cleanup URDF post processing and optical frames
* Bugfix for is stretch4\_body isn't installed
* Simplify dependencies
* Improved docs in README

## [2026.05.27](https://pypi.org/project/hello-robot-stretch4-urdf/2026.5.27)

* Bugfix for generating URDF with nil tool
* Bugfix for permission error
* Util function to read joint limits from URDF

## [2026.05.14](https://pypi.org/project/hello-robot-stretch4-urdf/2026.5.14)

Bugfix to include the .obj meshes in the release

## [2026.05.12](https://pypi.org/project/hello-robot-stretch4-urdf/2026.5.12)

The initial release of this description repository. It contains the URDF and meshes for the "francis" batch.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hello-robot.com/stretch4_urdf/changelog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
